Bug 1913794 - Enable systemd-oomd by default for all variants
Summary: Enable systemd-oomd by default for all variants
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Davide Cavalca
QA Contact:
URL:
Whiteboard:
Depends On: 1933494 1926373 1929516 1929520 1929856 1931934 1931938
Blocks: F34Changes
TreeView+ depends on / blocked
 
Reported: 2021-01-07 16:01 UTC by Ben Cotton
Modified: 2021-03-29 14:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
systemd-oomd Rawhide VM initial test (16.92 KB, text/plain)
2021-02-09 21:58 UTC, Anita Zhang
no flags Details

Description Ben Cotton 2021-01-07 16:01:34 UTC
This is a tracking bug for Change: Enable systemd-oomd by default for all variants
For more details, see: https://fedoraproject.org/wiki/Changes/EnableSystemdOomd

Provide a better experience for Fedora users in out-of-memory (OOM) situations by enabling systemd-oomd by default. Actions taken by systemd-oomd operate on a per-cgroup level, aligning well with the life cycle of systemd units. systemd-oomd primarily uses Linux pressure stall information (PSI) to make decisions based on wasted productivity due to resource shortages; in addition to that, it also supports swap based actions.

Comment 1 Anita Zhang 2021-02-08 23:29:42 UTC
Update: I put up https://src.fedoraproject.org/rpms/systemd/pull-request/47 last week which includes all the new patches I upstreamed for the systemd-oomd proposal, and a specfile change to create a new subpackage systemd-oomd-defaults which has the configuration values from the proposal.

Comment 2 Ben Cotton 2021-02-09 14:58:41 UTC
Today we reached the Completion deadline (testable) milestone in the Fedora schedule. All approved changes should be in a testable state. If you change is testable, please indicate this by setting the status to MODIFIED.

If you need to defer the change to Fedora 35 or withdraw the change entirely, please indicate this in a comment and NEEDINFO bcotton.

The 100% code complete deadline is Tuesday 23 February. By that date, your change should be fully implemented and the tracking bug set to ON_QA.

For other Fedora 34 milestones, see https://fedorapeople.org/groups/schedule/f-34/f-34-key-tasks.html

Comment 3 Anita Zhang 2021-02-09 21:58:15 UTC
Created attachment 1756053 [details]
systemd-oomd Rawhide VM initial test

The change is now testable with:

  dnf copr enable anitazha/systemd-oomd
  dnf install systemd-oomd-defaults
  systemctl start systemd-oomd

The attachment shows sample commands and output.

Comment 4 Ben Cotton 2021-02-16 15:51:50 UTC
Reminder: The change complete (100% complete) deadline for Fedora 34 changes is Tuesday 23 February. At that point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA.

Comment 5 Michel Alexandre Salim 2021-02-16 19:17:42 UTC
systemd 247.3-2 is built for F34 and Rawhide and works. https://pagure.io/fedora-comps/pull-request/611 will ensure systemd-oomd-defaults is preinstalled and drop earlyoom.

Comment 6 customercare 2021-02-21 10:40:51 UTC
pls disable for aarch64 pinephone:

Feb 21 11:36:04 fedorapine systemd[1]: Starting Userspace Out-Of-Memory (OOM) Killer...
░░ Subject: A start job for unit systemd-oomd.service has begun execution
░░ Defined-By: systemd
░░ Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
░░ 
░░ A start job for unit systemd-oomd.service has begun execution.
░░ 
░░ The job identifier is 108.
Feb 21 11:36:05 fedorapine systemd-oomd[332]: Pressure Stall Information (PSI) is not supported
Feb 21 11:36:05 fedorapine systemd[1]: systemd-oomd.service: Main process exited, code=exited, status=1/FAILURE

it's not possible to start this on a pinephone atm.

Comment 7 Anita Zhang 2021-03-02 05:47:39 UTC
https://github.com/systemd/systemd/pull/18751 was merged in systemd 248~rc2 which should skip systemd-oomd on pinephone.

Comment 8 Vitaly Zaitsev 2021-03-29 14:41:49 UTC
Can someone check KDE Spin: https://bugzilla.redhat.com/show_bug.cgi?id=1943954


Note You need to log in before you can comment on or make changes to this bug.